Transactions

Receiving all transactions page by page

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

To successfully obtain a list of transactions, you need to specify the following parameters in your request:

ParameterRequiredDescription
pageyesTransaction page number. Counting starts from1.

Transactions are returned page by page, starting with the most recent ones. 100 transactions per request. If the page number exceeds the number of your transactions, an empty list will be returned.


If you follow the above rules, you will receive a response like this:

{
  "transactions": [
    {
      "transaction_id": "6ddaf262-14c0-4ba4-b782-8839895ff642",
      "status": "success",
      "attributes": "login",
      "amount": "0.1000",
      "commission": "0.0010",
      "final_amount": "0.1010",
      "type":"steam_refill",
      "created_at": "2025-07-16T22:15:00.651307+07:00",
      "updated_at": "2025-07-16T22:15:45.815131+07:00",
      "description": "refill steam"
    }
  ],
  "count": 1
}

transaction_id - The transaction ID you specified in your request

status - transaction status

attributes - Steam user login

amount - the amount required to be credited to your Steam account

commission - commission/discount for purchase

final_amount - total top-up cost (amount to be debited from your balance)

created_at - transaction creation date

updated_at - transaction modification date

description - transaction description

count - number of transactions on the page received

reference - your ID; it may not be included in the response if it was not provided by you


If you receive a message such as:

{
  "error_code": -1
}

Review the list of errors Error Codes

Query Params
string
required

Page number

Headers
string
required

Apikey

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json